using System;
using UnityEngine;

[CreateAssetMenu(
    fileName = "ApplicationChannel",
    menuName = "SheepRoot/ApplicationChannel",
    order = 0
)]
public class ApplicationChannel : ScriptableObject
{
    public Action onClearedGame;

    private void OnEnable()
    {
        onClearedGame = () => { };
    }


	[ContextMenu("Cleared Game")]
	public void ClearGame()
	{
		onClearedGame.Invoke();
	}

}
